Resource
A resource exposed by an MCP server
Usage profiles
| Usage | Fields and validation |
|---|---|
| In responses | View fields |
In responses
API JSON uses JSON field names (camelCase).
| Field | Type | Presence | Meaning |
|---|---|---|---|
uri | string | Optional | Canonical URI for the resource. |
title | string | Optional | Display title of the MCP resource. |
description | string | Optional | Description of the content available from the MCP resource. |
mimeType | string | Optional | Media type of the content exposed by the MCP resource. |
content | Array of ContentPart | Optional | Optional embedded content. |
annotations | Map from string to string | Optional | Optional annotations/metadata. |
lastModified | string (date-time) | Optional | Time when this resource was last modified. |
Where used
| Reference | Relationship |
|---|---|
| List MCP resources | POST /api/v1/llm/mcp-list-resources |
| Read an MCP resource | POST /api/v1/llm/mcp-read-resource |
Download the public reference contract.
Document: DOC-API-MODEL-resource.